Bug 226049 - Merge Review: libtiff
Merge Review: libtiff
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Goode
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 14:28 EST by Nobody's working on this, feel free to take it
Modified: 2009-12-04 13:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:13:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adam: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 14:28:04 EST
Fedora Merge Review: libtiff

http://cvs.fedora.redhat.com/viewcvs/devel/libtiff/
Initial Owner: tgl@redhat.com
Comment 1 Adam Goode 2007-11-06 21:00:23 EST
rpath problems:

ERROR   0001: file '/usr/lib64/libtiffxx.so.3.8.2' contains a standard rpath
'/usr/lib64' in [/usr/lib64]
ERROR   0001: file '/usr/bin/ppm2tiff' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiff2pdf' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/ras2tiff' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiffdither' contains a standard rpath '/usr/lib64'
in [/usr/lib64]
ERROR   0001: file '/usr/bin/tiffset' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiffcmp' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/pal2rgb' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/bmp2tiff' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiff2rgba' contains a standard rpath '/usr/lib64'
in [/usr/lib64]
ERROR   0001: file '/usr/bin/raw2tiff' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/fax2tiff' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/rgb2ycbcr' contains a standard rpath '/usr/lib64'
in [/usr/lib64]
ERROR   0001: file '/usr/bin/tiffinfo' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiffcp' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiff2bw' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiffmedian' contains a standard rpath '/usr/lib64'
in [/usr/lib64]
ERROR   0001: file '/usr/bin/thumbnail' contains a standard rpath '/usr/lib64'
in [/usr/lib64]
ERROR   0001: file '/usr/bin/fax2ps' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiff2ps' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/tiffsplit' contains a standard rpath '/usr/lib64'
in [/usr/lib64]
ERROR   0001: file '/usr/bin/tiffdump' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
ERROR   0001: file '/usr/bin/gif2tiff' contains a standard rpath '/usr/lib64' in
[/usr/lib64]
Comment 2 Adam Goode 2007-11-06 21:02:49 EST
rpmlint (eliding the rpath problems listed above):

libtiff.i386: W: unused-direct-shlib-dependency /usr/lib/libtiffxx.so.3.8.2
/usr/lib/libjpeg.so.62
libtiff.i386: W: unused-direct-shlib-dependency /usr/lib/libtiffxx.so.3.8.2
/lib/libz.so.1
libtiff.i386: W: unused-direct-shlib-dependency /usr/lib/libtiffxx.so.3.8.2
/lib/libm.so.6
Comment 3 Adam Goode 2007-11-06 21:15:01 EST
Also recommend splitting out the /usr/bin and /usr/share/man/man1 command line
utilities into libtiff-tools.
Comment 4 Adam Goode 2007-11-06 23:19:06 EST
%makeinstall should not be used:

http://fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002
Comment 5 Tom Lane 2009-12-03 14:00:31 EST
All the above items are dealt with as of libtiff-3.9.2-1.
Comment 6 Adam Goode 2009-12-03 20:41:05 EST
Here is the review checklist:

MUST: rpmlint must be run on every package.
 libtiff.src:84: W: make-check-outside-check-section
OK, I see why make check would otherwise fail.

 libtiff-static.x86_64: W: no-documentation
OK


MUST: The package must be named according to the Package Naming Guidelines .
OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK

MUST: The package must meet the Packaging Guidelines.
OK, except maybe apply this patch:

Index: libtiff.spec
===================================================================
RCS file: /cvs/extras/rpms/libtiff/devel/libtiff.spec,v
retrieving revision 1.58
diff -u -3 -p -r1.58 libtiff.spec
--- libtiff.spec	3 Dec 2009 18:42:07 -0000	1.58
+++ libtiff.spec	4 Dec 2009 01:39:10 -0000
@@ -9,7 +9,11 @@ URL: http://www.remotesensing.org/libtif
 
 Source: ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.gz
 Patch1: libtiff-acversion.patch
+
+# http://bugzilla.maptools.org/show_bug.cgi?id=2129
 Patch2: libtiff-mantypo.patch
+
+#http://bugzilla.maptools.org/show_bug.cgi?id=2079
 Patch3: libtiff-CVE-2009-2347.patch
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root


MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK

MUST: The License field in the package spec file must match the actual license. OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK

MUST: The spec file must be written in American English.
OK

MUST: The spec file for the package MUST be legible.
OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
OK

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK

MUST: Packages must NOT bundle copies of system libraries.
OK

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
OK

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
OK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
OK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
OK

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK

MUST: Each package must consistently use macros.
OK

MUST: The package must contain code, or permissable content.
OK

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
OK

MUST: Header files must be in a -devel package.
OK

MUST: Static libraries must be in a -static package.
OK

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
OK

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
OK

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
OK

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
OK

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
OK

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK

MUST: All filenames in rpm packages must be valid UTF-8.
OK


All the SHOULDs are good.



Except for the minor issue with upstream bug references, looks good!
APPROVED
Comment 7 Tom Lane 2009-12-04 12:13:36 EST
Yeah, I tried putting the make check in %check but it failed.  Didn't seem worth jumping through hoops to get rid of a "W".

As for the upstream URLs for the patches, my preference is to put commentary into the patch files themselves --- that way it's more likely to get updated when the patch changes.  I've committed suitable additions to CVS, but not bothered to rebuild right now.

Thanks for the review!
Comment 8 Adam Goode 2009-12-04 13:07:53 EST
Sounds great, looking forward to trying 3.9.2!

Note You need to log in before you can comment on or make changes to this bug.